
#ifndef DKUTIL_COMPRESSION_INTERFACE_HPP
#define DKUTIL_COMPRESSION_INTERFACE_HPP

#include <dkutil/memory/interface.hpp>

namespace dkutil{

struct compression_error : public std::runtime_error{
public:
	compression_error(const char *str) : std::runtime_error(str){}
	compression_error(std::string str) : std::runtime_error(str){}
};

}//end of dkutil namespace



#endif